## gtkstresstesting 0.7.6

=== requirements.txt ===
humanfriendly==10.0
injector==0.19.0
peewee==3.14.10
psutil==5.9.0
PyGObject==3.42.0
pyxdg==0.27
PyYAML==6.0
requests==2.27.1
Rx==3.2.0

=== debian/changelog ===
gtkstresstesting (0.7.6-1kaisen) kaisen-packages; urgency=medium

  * Import 0.7.6 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 00:56:46 +0100

gtkstresstesting (0.7.5-2kaisen) kaisen-packages; urgency=medium

  * Add gir1.2-gstreamer-1.0 ad dependancy
  * Add uppercase in polkit
  * Rename polkit filename

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 30 Dec 2021 20:45:06 +0100

gtkstresstesting (0.7.5-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 25 Dec 2021 19:37:19 +0100

=== debian/control ===
Source: gtkstresstesting
Section: x11
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       meson,
	       python3,
	       python3-humanfriendly,
	       python3-injector,
	       python3-peewee,
	       python3-xdg,
	       python3-yaml,
	       python3-requests,
	       python3-rx,
	       gobject-introspection,
	       pkg-config,
	       libgirepository1.0-dev,
	       ninja-build,
	       appstream-util,
	       lm-sensors,
	       stress-ng,
	       dmidecode,
Standards-Version: 4.6.0
Homepage: https://gitlab.com/leinardi/gst
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/gtkstresstesting
Vcs-Git: https://gitlab.com/kaisenlinux/packages/gtkstresstesting.git
Rules-Requires-Root: no

Package: gtkstresstesting
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 python3,
         python3-humanfriendly,
         python3-injector,
         python3-peewee,
         python3-xdg,
         python3-yaml,
         python3-requests,
         python3-rx,
         gobject-introspection,
	 lm-sensors,
         stress-ng,
         dmidecode,
	 gir1.2-gstreamer-1.0,
Description: GTK system utility designed to stress and monitor various hardware components like CPU and RAM

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

override_dh_auto_install:
	dh_auto_install
	rm -r debian/gtkstresstesting/usr/share/applications
	mv debian/gtkstresstesting/usr/bin/gst debian/gtkstresstesting/usr/bin/gtkstresstesting
	mv debian/gtkstresstesting/usr/local/lib debian/gtkstresstesting/usr/
	cp data/icons/hicolor/256x256@2x/apps/com.leinardi.gst.png debian/gtkstresstesting/usr/share/icons/gtkstresstesting.png

override_dh_usrlocal:
